package ee.lunasqu.interaqqt.events;

import org.bukkit.Bukkit;
import org.bukkit.event.Event;
import org.bukkit.event.HandlerList;

public class BaseEvent extends Event {
   private static final HandlerList HANDLERS = new HandlerList();
   
   public BaseEvent () {
	   super(!Bukkit.getServer().isPrimaryThread());
   }

   public HandlerList getHandlers() {
       return HANDLERS;
   }

   public static HandlerList getHandlerList() {
       return HANDLERS;
   }
}