package ee.lunasqu.interaqqt.events.listeners;

import ee.lunasqu.interaqqt.Main;
import org.bukkit.event.EventHandler;
import org.bukkit.event.Listener;

import ee.lunasqu.interaqqt.events.ConnectionEstablishedEvent;
import ee.lunasqu.interaqqt.events.DisconnectedEvent;

public class ConnectionListener implements Listener {
    @EventHandler
    public void onConnClose(DisconnectedEvent e) {
        Main.plugin.getLogger().info("Connection to remote failed.");
    }

    @EventHandler
    public void onConnEstablished(ConnectionEstablishedEvent e) {
        Main.plugin.getLogger().info("Connection to remote established!");
    }
}
